import React from 'react';


class TimezoneDemo extends React.Component {
    constructor (props) {
        super(props);
        let local = new Date();
        let utc = local.getTime() + (local.getTimezoneOffset() * 60000);
        this.state = { Local: local.toString(), UTC: new Date(utc).toLocaleString()}
        this.interval = setInterval(this.updateTime, 1000);
    }
    render() {
        return <div><h3>Local Date/Time: { this.state.Local}</h3>
        <h5>UTC Date/Time: {this.state.UTC}</h5></div>;
    }
    updateTime = () => {
        this.setState((state, props) => ({
            Local: new Date().toString(),
            UTC: new Date(new Date().getTime() + (new Date().getTimezoneOffset() * 60000)).toLocaleString()
        }));
    }
    componentWillUnmount() {
        clearInterval(this.interval);
    }
}

export default TimezoneDemo;